XmGetXmScreen(library call)

NAME
XmGetXmScreen — A Screen function that returns the XmScreen object for a specified screen

SYNOPSIS

#include <Xm/Screen.h>
XmScreen XmScreenOfScreen(Screen *s);
XmScreen XmScreenOfObject(Widget w);
Widget XmGetXmScreen(Screen *screen);

DESCRIPTION

XmGetXmScreen returns the XmScreen object associated with a screen. The application can access and manipulate screen resources with XtGetValues and XtSetValues.

screen
    Specifies the screen for which the XmScreen is to be returned

XmScreenOfScreen is a macro which wraps XmGetXmScreen() to alleviate the burden of casting its result.

XmScreenOfObject wraps XmGetXmScreen() and gets the screen by calling XtScreenOfObject() under the hood.

For a complete definition of Screen and its associated resources, see XmScreen(3).

RETURN

Returns the XmScreen object ID.

RELATED

XmScreen(3).